Bug 1577239 - [DOCS] Permission to delete security groups required in AWS IAM policy
Summary: [DOCS] Permission to delete security groups required in AWS IAM policy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Gaurav Nelson
QA Contact: Chao Yang
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 14:18 UTC by Robert Bost
Modified: 2020-02-25 11:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-12 03:26:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3441111 0 None None None 2018-05-11 17:16:04 UTC

Description Robert Bost 2018-05-11 14:18:00 UTC
Document URL:  https://docs.openshift.com/container-platform/3.9/install_config/configuring_aws.html

Section Number and Name: No section present for configuring IAM policy.

Describe the issue: Created an AWS ELB loadbalancer service in OpenShift and when the service is deleted, the ELB remains. This is due to the IAM policy profile not having permission to delete security groups.

Suggestions for improvement: Add section on configuration needs for an IAM policy.

Comment 4 Ryan Cook 2018-06-08 15:07:03 UTC
@gaurav correct this should be added to the documentation

Comment 5 Gaurav Nelson 2018-06-11 00:09:51 UTC
Thank you @Ryan.

The suggested changes are in PR https://github.com/openshift/openshift-docs/pull/9970

Comment 6 Chao Yang 2018-06-11 07:02:30 UTC
The fix in the pr is OK

Comment 7 openshift-github-bot 2018-06-11 23:05:33 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/aa107e305e8dfe93742fe467a06c076c378b4bc6
Merge pull request #9970 from gaurav-nelson/bug1577239-fixes

added ec2:DeleteSecurityGroup to aws permissions


Note You need to log in before you can comment on or make changes to this bug.